// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.6.1
// source: api/pr-torch/pr-torch.proto

package predict_torch

import (
	_ "github.com/golang/protobuf/ptypes/empty"
	_ "google.golang.org/genproto/googleapis/api/annotations"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type RequestV1 struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PathModel string `protobuf:"bytes,1,opt,name=PathModel,proto3" json:"PathModel,omitempty"` // оставить пустым, если модель по умолчанию
	PathImg   string `protobuf:"bytes,2,opt,name=PathImg,proto3" json:"PathImg,omitempty"`
}

func (x *RequestV1) Reset() {
	*x = RequestV1{}
	if protoimpl.UnsafeEnabled {
		mi := &file_api_pr_torch_pr_torch_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RequestV1) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RequestV1) ProtoMessage() {}

func (x *RequestV1) ProtoReflect() protoreflect.Message {
	mi := &file_api_pr_torch_pr_torch_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RequestV1.ProtoReflect.Descriptor instead.
func (*RequestV1) Descriptor() ([]byte, []int) {
	return file_api_pr_torch_pr_torch_proto_rawDescGZIP(), []int{0}
}

func (x *RequestV1) GetPathModel() string {
	if x != nil {
		return x.PathModel
	}
	return ""
}

func (x *RequestV1) GetPathImg() string {
	if x != nil {
		return x.PathImg
	}
	return ""
}

type ResponseV1 struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Who      []string  `protobuf:"bytes,1,rep,name=Who,proto3" json:"Who,omitempty"`
	Procents []float32 `protobuf:"fixed32,2,rep,packed,name=Procents,proto3" json:"Procents,omitempty"`
}

func (x *ResponseV1) Reset() {
	*x = ResponseV1{}
	if protoimpl.UnsafeEnabled {
		mi := &file_api_pr_torch_pr_torch_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResponseV1) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResponseV1) ProtoMessage() {}

func (x *ResponseV1) ProtoReflect() protoreflect.Message {
	mi := &file_api_pr_torch_pr_torch_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResponseV1.ProtoReflect.Descriptor instead.
func (*ResponseV1) Descriptor() ([]byte, []int) {
	return file_api_pr_torch_pr_torch_proto_rawDescGZIP(), []int{1}
}

func (x *ResponseV1) GetWho() []string {
	if x != nil {
		return x.Who
	}
	return nil
}

func (x *ResponseV1) GetProcents() []float32 {
	if x != nil {
		return x.Procents
	}
	return nil
}

var File_api_pr_torch_pr_torch_proto protoreflect.FileDescriptor

var file_api_pr_torch_pr_torch_proto_rawDesc = []byte{
	0x0a, 0x1b, 0x61, 0x70, 0x69, 0x2f, 0x70, 0x72, 0x2d, 0x74, 0x6f, 0x72, 0x63, 0x68, 0x2f, 0x70,
	0x72, 0x2d, 0x74, 0x6f, 0x72, 0x63, 0x68, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0d, 0x70,
	0x72, 0x65, 0x64, 0x69, 0x63, 0x74, 0x5f, 0x74, 0x6f, 0x72, 0x63, 0x68, 0x1a, 0x1c, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x6e, 0x6e, 0x6f, 0x74, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70, 0x74,
	0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x43, 0x0a, 0x09, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x56, 0x31, 0x12, 0x1c, 0x0a, 0x09, 0x50, 0x61, 0x74, 0x68, 0x4d, 0x6f, 0x64, 0x65,
	0x6c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x50, 0x61, 0x74, 0x68, 0x4d, 0x6f, 0x64,
	0x65, 0x6c, 0x12, 0x18, 0x0a, 0x07, 0x50, 0x61, 0x74, 0x68, 0x49, 0x6d, 0x67, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x07, 0x50, 0x61, 0x74, 0x68, 0x49, 0x6d, 0x67, 0x22, 0x3a, 0x0a, 0x0a,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x56, 0x31, 0x12, 0x10, 0x0a, 0x03, 0x57, 0x68,
	0x6f, 0x18, 0x01, 0x20, 0x03, 0x28, 0x09, 0x52, 0x03, 0x57, 0x68, 0x6f, 0x12, 0x1a, 0x0a, 0x08,
	0x50, 0x72, 0x6f, 0x63, 0x65, 0x6e, 0x74, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x02, 0x52, 0x08,
	0x50, 0x72, 0x6f, 0x63, 0x65, 0x6e, 0x74, 0x73, 0x32, 0x65, 0x0a, 0x0c, 0x50, 0x72, 0x65, 0x64,
	0x69, 0x63, 0x74, 0x54, 0x6f, 0x72, 0x63, 0x68, 0x12, 0x55, 0x0a, 0x09, 0x50, 0x72, 0x65, 0x64,
	0x69, 0x63, 0x74, 0x56, 0x31, 0x12, 0x18, 0x2e, 0x70, 0x72, 0x65, 0x64, 0x69, 0x63, 0x74, 0x5f,
	0x74, 0x6f, 0x72, 0x63, 0x68, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x56, 0x31, 0x1a,
	0x19, 0x2e, 0x70, 0x72, 0x65, 0x64, 0x69, 0x63, 0x74, 0x5f, 0x74, 0x6f, 0x72, 0x63, 0x68, 0x2e,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x56, 0x31, 0x22, 0x13, 0x82, 0xd3, 0xe4, 0x93,
	0x02, 0x0d, 0x22, 0x0b, 0x2f, 0x76, 0x31, 0x2f, 0x70, 0x72, 0x65, 0x64, 0x69, 0x63, 0x74, 0x42,
	0x35, 0x5a, 0x33, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x6d, 0x61,
	0x72, 0x74, 0x79, 0x6e, 0x2e, 0x61, 0x6e, 0x64, 0x72, 0x77, 0x2f, 0x70, 0x72, 0x65, 0x64, 0x69,
	0x63, 0x74, 0x2d, 0x74, 0x6f, 0x72, 0x63, 0x68, 0x3b, 0x70, 0x72, 0x65, 0x64, 0x69, 0x63, 0x74,
	0x5f, 0x74, 0x6f, 0x72, 0x63, 0x68, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_api_pr_torch_pr_torch_proto_rawDescOnce sync.Once
	file_api_pr_torch_pr_torch_proto_rawDescData = file_api_pr_torch_pr_torch_proto_rawDesc
)

func file_api_pr_torch_pr_torch_proto_rawDescGZIP() []byte {
	file_api_pr_torch_pr_torch_proto_rawDescOnce.Do(func() {
		file_api_pr_torch_pr_torch_proto_rawDescData = protoimpl.X.CompressGZIP(file_api_pr_torch_pr_torch_proto_rawDescData)
	})
	return file_api_pr_torch_pr_torch_proto_rawDescData
}

var file_api_pr_torch_pr_torch_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_api_pr_torch_pr_torch_proto_goTypes = []interface{}{
	(*RequestV1)(nil),  // 0: predict_torch.RequestV1
	(*ResponseV1)(nil), // 1: predict_torch.ResponseV1
}
var file_api_pr_torch_pr_torch_proto_depIdxs = []int32{
	0, // 0: predict_torch.PredictTorch.PredictV1:input_type -> predict_torch.RequestV1
	1, // 1: predict_torch.PredictTorch.PredictV1:output_type -> predict_torch.ResponseV1
	1, // [1:2] is the sub-list for method output_type
	0, // [0:1] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_api_pr_torch_pr_torch_proto_init() }
func file_api_pr_torch_pr_torch_proto_init() {
	if File_api_pr_torch_pr_torch_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_api_pr_torch_pr_torch_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RequestV1); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_api_pr_torch_pr_torch_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResponseV1); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_api_pr_torch_pr_torch_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_api_pr_torch_pr_torch_proto_goTypes,
		DependencyIndexes: file_api_pr_torch_pr_torch_proto_depIdxs,
		MessageInfos:      file_api_pr_torch_pr_torch_proto_msgTypes,
	}.Build()
	File_api_pr_torch_pr_torch_proto = out.File
	file_api_pr_torch_pr_torch_proto_rawDesc = nil
	file_api_pr_torch_pr_torch_proto_goTypes = nil
	file_api_pr_torch_pr_torch_proto_depIdxs = nil
}
